import request from '/@/utils/request';

// 添加干体重
export function addDryWeight(data: object) {
	return request({
		url: '/patient/vs/pure/weight/add',
		method: 'post',
		data
	});
}

/**
 * 修改干体重
 * @param data 
 * @returns 
 */
export function updateDryWeightApi(data: object) {
	return request({
		url: '/patient/vs/pure/weight/update',
		method: 'post',
		data
	});
}
export function deleteMedHistory(id: string) {
	return request({
		url: '/patient/disease/history/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: {
			id
		},
	});
}


/**
 * 删除干体重调整记录
 * @param id 
 * @returns 
 */
export function deleteWeightApi (id: string) {
	return request({
		url: '/patient/vs/pure/weight/delete',
		method: 'post',
		params: { id }
	})
}

// 获取干体重列表
export function getDryWeightList(params: object) {
    return request({
      url: '/patient/vs/pure/weight/list',
      method: 'post',
      params
    })
}